classification
Title: 'resource' module documentation error
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Evelyn Mitchell, alakyadav, berker.peksag, docs@python, python-dev, tzot, zach.ware
Priority: normal Keywords: easy, patch

Created on 2015-10-13 14:29 by tzot, last changed 2016-07-19 21:49 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
resource.patch alakyadav, 2016-07-14 19:36 Patch to transfer documentation line from under RLIMT_FSIZE to RLIMIT_STACK. review
Messages (5)
msg252935 - (view) Author: Χρήστος Γεωργίου (Christos Georgiou) (tzot) * Date: 2015-10-13 14:29
https://docs.python.org/3.5/library/resource.html

https://docs.python.org/3.5/library/resource.html#resource.RLIMIT_FSIZE ends with the sentence "This only affects the stack of the main thread in a multi-threaded process."

I believe this sentence should be appended to https://docs.python.org/3.5/library/resource.html#resource.RLIMIT_STACK

This error also exists in previous versions of python documentation.
msg270434 - (view) Author: Alakshendra Yadav (alakyadav) * Date: 2016-07-14 19:36
It does seem that the mentioned line belongs under RLIMIT_STACK instead of RLIMIT_FSIZE. I am submitting a patch.
msg270841 - (view) Author: Evelyn Mitchell (Evelyn Mitchell) * (Python triager) Date: 2016-07-19 21:01
I've looked at the patch, and the fix looks correct to me. Thanks Alakshendra! 

I'll verify it builds correctly.
msg270847 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-19 21:48
New changeset 434fc614c506 by Zachary Ware in branch '2.7':
Issue #25393: Fix probable copy/paste error in resource docs
https://hg.python.org/cpython/rev/434fc614c506

New changeset 0fe2b7509707 by Zachary Ware in branch '3.5':
Issue #25393: Fix probable copy/paste error in resource docs
https://hg.python.org/cpython/rev/0fe2b7509707

New changeset 829117ae2e55 by Zachary Ware in branch 'default':
Closes #25393: Merge with 3.5
https://hg.python.org/cpython/rev/829117ae2e55
msg270848 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-07-19 21:49
Thanks to Christos for the report and Alakshendra for the patch!
History
Date User Action Args
2016-07-19 21:49:27zach.waresetnosy: + zach.ware
messages: + msg270848
2016-07-19 21:48:47python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg270847

resolution: fixed
stage: needs patch -> resolved
2016-07-19 21:01:28Evelyn Mitchellsetnosy: + Evelyn Mitchell
messages: + msg270841
2016-07-14 19:36:44alakyadavsetfiles: + resource.patch

nosy: + alakyadav
messages: + msg270434

keywords: + patch
2016-07-13 04:22:01berker.peksagsetversions: + Python 3.6
nosy: + berker.peksag

keywords: + easy
type: enhancement -> behavior
stage: needs patch
2015-10-13 14:29:02tzotcreate